Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Hortonworks 2.4 cluster install wizard - Step # 9 failed on centos 7

Highlighted

Hortonworks 2.4 cluster install wizard - Step # 9 failed on centos 7

New Contributor

I am trying to install Hortonworks 2.4 on my VMWare ESXI 5.5 server with 5 total nodes(1 Master, 4 slaves). Below is the error from HDFS.


stderr: /var/lib/ambari-agent/data/errors-781.txt

Traceback (most recent call last):  File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/hdfs_client.py", line 120, in <module>    HdfsClient().execute()  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 219, in execute    method(env)  File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/hdfs_client.py", line 34, in install    self.install_packages(env, params.exclude_packages)  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 404, in install_packages    Package(name)  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 154, in __init__    self.env.run()  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 158, in run    self.run_action(resource, action)  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 121, in run_action    provider_action()  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py", line 49, in action_install    self.install_package(package_name, self.resource.use_repos, self.resource.skip_repos)  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/yumrpm.py", line 49, in install_package    shell.checked_call(cmd, sudo=True, logoutput=self.get_logoutput())  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 70, in inner    result = function(command, **kwargs)  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 92, in checked_call    tries=tries, try_sleep=try_sleep)  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 140, in _call_wrapper    result = _call(command, **kwargs_copy)  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 291, in _call    raise Fail(err_msg) resource_management.core.exceptions.Fail: Execution of '/usr/bin/yum -d 0 -e 0 -y install 'hadoop_2_4_*'' returned 1. Error: Package: hadoop_2_4_0_0_169-2.7.1.2.4.0.0-169.el6.x86_64 (HDP-2.4)           Requires: nc You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

stdout: /var/lib/ambari-agent/data/output-781.txt

2019-05-22 22:42:58,268 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf 2019-05-22 22:42:58,270 - Group['hadoop'] {} 2019-05-22 22:42:58,271 - Group['users'] {} 2019-05-22 22:42:58,272 - User['zookeeper'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop']} 2019-05-22 22:42:58,273 - User['ams'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop']} 2019-05-22 22:42:58,274 - User['ambari-qa'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'users']} 2019-05-22 22:42:58,275 - User['hdfs'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop']} 2019-05-22 22:42:58,276 - User['yarn'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop']} 2019-05-22 22:42:58,277 - User['mapred'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop']} 2019-05-22 22:42:58,278 - File['/var/lib/ambari-agent/tmp/changeUid.sh'] {'content': StaticFile('changeToSecureUid.sh'), 'mode': 0555} 2019-05-22 22:42:58,280 - Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa'] {'not_if': '(test $(id -u ambari-qa) -gt 1000) || (false)'} 2019-05-22 22:42:58,287 - Skipping Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa'] due to not_if 2019-05-22 22:42:58,288 - Group['hdfs'] {} 2019-05-22 22:42:58,289 - User['hdfs'] {'fetch_nonlocal_groups': True, 'groups': [u'hadoop', u'hdfs']} 2019-05-22 22:42:58,289 - Directory['/etc/hadoop'] {'mode': 0755} 2019-05-22 22:42:58,290 - Directory['/var/lib/ambari-agent/tmp/hadoop_java_io_tmpdir'] {'owner': 'hdfs', 'group': 'hadoop', 'mode': 0777} 2019-05-22 22:42:58,304 - Repository['HDP-2.4'] {'base_url': 'http://192.168.1.115/hortonwork-2.4.0/HDP/centos7/2.x/updates/2.4.0.0', 'action': ['create'], 'components': [u'HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'HDP', 'mirror_list': None} 2019-05-22 22:42:58,311 - File['/etc/yum.repos.d/HDP.repo'] {'content': '[HDP-2.4]\nname=HDP-2.4\nbaseurl=http://192.168.1.115/hortonwork-2.4.0/HDP/centos7/2.x/updates/2.4.0.0\n\npath=/\nenabled=1\ngpgcheck=0'} 2019-05-22 22:42:58,312 - Repository['HDP-UTILS-1.1.0.20'] {'base_url': 'http://192.168.1.115/hortonwork-2.4.0/HDP-UTILS-1.1.0.20/repos/centos7', 'action': ['create'], 'components': [u'HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'HDP-UTILS', 'mirror_list': None} 2019-05-22 22:42:58,314 - File['/etc/yum.repos.d/HDP-UTILS.repo'] {'content': '[HDP-UTILS-1.1.0.20]\nname=HDP-UTILS-1.1.0.20\nbaseurl=http://192.168.1.115/hortonwork-2.4.0/HDP-UTILS-1.1.0.20/repos/centos7\n\npath=/\nenabled=1\ngpgcheck=0'} 2019-05-22 22:42:58,314 - Package['unzip'] {} 2019-05-22 22:42:58,519 - Skipping installation of existing package unzip 2019-05-22 22:42:58,519 - Package['curl'] {} 2019-05-22 22:42:58,628 - Skipping installation of existing package curl 2019-05-22 22:42:58,628 - Package['hdp-select'] {} 2019-05-22 22:42:58,739 - Skipping installation of existing package hdp-select 2019-05-22 22:42:58,876 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf 2019-05-22 22:42:58,878 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf 2019-05-22 22:42:58,881 - Package['rpcbind'] {} 2019-05-22 22:42:59,072 - Skipping installation of existing package rpcbind 2019-05-22 22:42:59,073 - Package['hadoop_2_4_*'] {} 2019-05-22 22:42:59,190 - Installing package hadoop_2_4_* ('/usr/bin/yum -d 0 -e 0 -y install 'hadoop_2_4_*'')
3 REPLIES 3

Re: Hortonworks 2.4 cluster install wizard - Step # 9 failed on centos 7

New Contributor

Could anybody help on this issues?

Re: Hortonworks 2.4 cluster install wizard - Step # 9 failed on centos 7

Super Mentor

@Srikanth Vakalapudi

You will need to make sure that your Operating System has the OS base repo accessible.

The Package "ncat" needs to be available on your Host which comes form the Base Repo of OS (Like base repo of CentOS / RedHat etc) ...

Example: Check if the "nc" is available on your OS base repo or not?

# yum whatprovides nc
# yum install nmap-ncat



some other alternatives are described in the following link to install the ncat packages... please refer to them and based on your requirement you can install them

https://unix.stackexchange.com/questions/393762/how-to-manually-update-nmaps-ncat-on-centos-7


.

Re: Hortonworks 2.4 cluster install wizard - Step # 9 failed on centos 7

New Contributor

Thanks for your response Jay. I tried above link and installed but i still have same issue.